Subject: Re: bug#7061: loop on touch (fdutimens)

From: C de-Avillez <[email-masked]>
Date: Fri, 17 Sep 2010 21:53:01 -0500

On Fri, 17 Sep 2010 19:03:30 -0700
Paul Eggert <[email-masked]> wrote:

> On 09/17/2010 05:49 PM, C de-Avillez wrote:
> 
> > I just built & ran a quick test on coreutils GIT. I received a
> > SEGV on touch, and ran it under GDB.
> 
> I don't observe the problem.  I just now grabbed a fresh copy of
> coreutils. I ran your test on Ubuntu 10.04 x86 and on RHEL 5 x86-64.

I am running it on Ubuntu Maverick (soon to-be 10.10). I do not have
another Linux distro to test right now, but I will build a 10.04 on
KVM.

> My guess is that you are running coreutils with a slightly
> out-of-date gnulib, or vice versa.  You need to have either both of
> the following patches, or neither of them.
> 
> http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=2dd21704d63c4e7567695a9e43dc1631b930efe2
> 
> http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commitdiff;h=89b0db35db10a8beccaf83909c7f62f127fb5821

Both are applied on my git copy. Hum. I will go and redo it from a
fresh git copy.

Thanks, Paul. I will post what I find.

-- 
C de-Avillez
IRC: hggdh

This email (and any attachments) is digitally signed using GNUpg
(http://gnupg.org). The public key is available at http://pgp.mit.edu.
The key Id is 0xD3133E56.